Subject: [manet] Reactive Protocol Situation

From: Joseph Macker <[email-masked]>
Date: Tue, 30 Oct 2012 19:13:47 -0400

Hello MANET working group (form Stan and Joe),

As you are all probably aware, there has been WG activity lately on
competing drafts for a MANET reactive protocol - DYMO (reviving the current
working group document that was parked due to inactivity), and LOADng. Many
months ago there was a somewhat authorship led movement towards a common
document effort and given positive feedback at the time we the chairs
thought this was the best approach given the authors potential to come
together and gain the best of both efforts.  Since that period, there has
been some fairly strident and rancorous "at times" debate between the
authors of the two documents.

During IETF 84 in Vancouver, the co-chairs held a discussion with some of
the co-authors of the two documents. Our guidance to the co-authors was to
find a way to merge the two documents into one, as it was perceived that
are not technically far apart and they both derive roughly from AODV
concepts and LOADng had fairly active authorship and implementation
efforts. We provided a co-editing proposal to the authors and gave them the
timeframe of the Atlanta to come up with an answer back to us regarding
this.  As of this writing, those discussions of a potential commonn
document and authorship merger have failed.

Therefore, we find ourselves at a crossroads. The authors of the two
documents are divided, and it is unlikely that progress on a merged
document can be reached based upon recent author feedback. I have also
polled the earlier WG editor of DYMO, Ian Chakeres, and he is somewhat
disengaged on the issue at the present time.  We see only 3 possible paths
forward:

1. Continue the work on the DYMO document, starting with whether there is
consensus on its continued approach and also the desire to rename it to
AODVv2.
2. Replace the existing DYMO document effort with the LOADng related
document effort, defusing ealier references to LLNs as recommended in the
last meeting minutes, and to focus more motivationally on general MANET
problem spaces (the authors seem to have agreed to this issue if its a WG
document).
3. Remove the working group charter for a reactive protocol, effectively
killing both documents, at least from a working group (WG) standpoint. This
would not be a reflection on the technology in either case, just an
admission that we are not working together and reaching consensus.

The co-chairs request and need your opinions on the options.  We have been
some silent collecting initial feedback and waiting for author feedback at
this point.  Stan and I are both on travel prior to Atlanta so our
responses may be sparse and we will also likely be in a "receive mode" for
a few days.  So send your opinions.

-Joe

---

From: Ulrich Herberg <[email-masked]>
Date: Tue, 30 Oct 2012 16:39:16 -0700

Hello Joe,

thank you for this summary of what happened. I will not comment on the
process or the discussions that we had the last few months, but rather on
the drafts. I speak for myself here, not for any other author of the LOADng
draft.

- There has been an enormous amount of effort in the LOADng draft
development, which is reflected by multiple large corporations working on
the specification, having deployments and planning products of LOADng by
2013.
- There is an active author team of 10 authors, willing to close remaining
issues as quickly as possible. Before the discussions that Joe mentioned
started, progress was very efficient, and we plan to go back to that speed
as soon as we know how to proceed.
- There are at least four interoperable implementations of the most recent
revision, documented in an interop draft. I am not aware of any recent DYMO
implementations, deployments or products.
- There is a MIB document that we actively work on.
- I believe the draft is very mature, easy to read and to implement. I have
implemented it myself in one day based on the specification.
- It is 100% RFC5444 compliant. I know RFC5444 very well, and am sure that
we did not break anything.
- The latest revision of LOADng makes clear that it is a MANET protocol, so
there will be no overlap with other working groups.

Fujitsu, which I represent in this draft, has a strong interest in having
this standard be completed soon. While we have our own proactive routing
solution, we believe that for certain customers, a reactive protocol is
needed.
I believe that if the WG adopts the draft, we are far closer to having a
standard, and more importantly, a standard that is actually used, deployed
and (soon) sold in products. I therefore opt for 2).

Best regards
Ulrich

On Tue, Oct 30, 2012 at 4:13 PM, Joseph Macker <[email-masked]> wrote:

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>
>

---

From: "Timothy J. Salo" <[email-masked]>
Date: Tue, 30 Oct 2012 18:51:30 -0500

> competing drafts for a MANET reactive protocol - DYMO (reviving the
> current working group document that was parked due to inactivity), and
> LOADng.

I suggest not excluding what might be considered a fourth possible
course of action, namely: wait.

Based on what I have read and seen during meetings, I am concerned that
a decision to select one document over the other may be driven by
personalities, rather than technical content, the ability of the
authors to work with the members of the working group, or a
commitment by the authors to complete the process.

Sometimes, simply deferring a decision permits things to sort
themselves out naturally, and avoids unnecessarily expending a lot of
time, energy, and perhaps even ill will by forcing a decision
prematurely.

I can't say that deferring a decision will necessarily make the best
future path obvious.  But, it seems that the cost of not deciding at
this time is probably small (perhaps beyond the cost of additional
heated, even acrimonious, emails, posturing and positioning).

Having said that, let me argue the contrary.  Sometimes, the best
course of action is decision-by-fiat (e.g., the working group chairs
direct a solution).  It is possible that either document and document
authors would serve the working group equally well.  In this case, a
quick, mandated solution may permit the working group to focus its
energy on progressing the selected document.  This approach probably has
a couple of requirements.  First, the authors of the selected document
_must_ ensure that their document progresses to an RFC in a expeditious
manner.  Second, the selection process (e.g., working group chair
directive) must appear fair to all involved.  If all things really are
equal, there is a lot to be said for a coin toss.

-tjs

---

From: Ulrich Herberg <[email-masked]>
Date: Tue, 30 Oct 2012 17:08:42 -0700

Timothy,

our company has deadlines for coming up with products on the market and
customers waiting. I believe that the same is true for other companies. We
had discussions for more than half a year now that did not lead anywhere.

Regards
Ulrich

On Tue, Oct 30, 2012 at 4:51 PM, Timothy J. Salo <[email-masked]> wrote:

> ______________________________**_________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/manet<https://www.ietf.org/mailman/listinfo/manet>
>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 30 Oct 2012 17:08:42 -0700

Hello folks,

I've been working away to get the DYMO now AODVv2 specification to
fit the needs of LOADng and also to make various major improvements
to readability, RFC 5444 compliance, etc.  I'm well along the way, even
though I had delayed starting the process until very recently, while
attempting to find the right process to join forces with the LOADng
authors.  In fact, the LOADng authors had asked me not to submit
any revised document during the meantime, and I eventually decided
to submit a revision only after I realized that the expected document
merge would just not happen.  Given the short amount of time (only
a few weeks), I think the progress has been very good.

I'd certainly like to continue that.  Since the agreement all along had
been make the WG reactive protocol compatible with LOADng, I can
suggest that the current specification be completed with design
choices that enable LOADng as a "subset".

Regards,
Charlie P.

-- 
Regards,
Charlie P.

---

From: Axel Colin de Verdière <[email-masked]>
Date: Tue, 30 Oct 2012 17:09:24 -0700

Hi all,

First, thank you Joe and Stan for your summary of the situation. I think it's good to discuss that here.

I am in full agreement with what Ulrich stated. In particular, I would like to stress the fact that LOADng is already backed by multiple industrials, making it even more likely that it will go to RFC as efficiently as possible, and the editing process behind the draft has proven to be effective.

> heated, even acrimonious, emails, posturing and positioning).

Allow me to disagree here. I think this situation has lingered for too long (4+ months), which show that things will probably not sort themselves out naturally. Not choosing now would, on the opposite, be a huge waste of time for the authors and the WG in general: having two competing documents stay much longer would divide the efforts, delaying the publication of an RFC for even more time. Hence it is a good thing that the chairs are trying to make a decision here.

> equal, there is a lot to be said for a coin toss.

I believe that the author group behind LOADng has shown in the past that they are willing to spend the time and engergy necessary to ensure the document's progress towards RFC status goes as fast as possible. The multiple implementations, interoperability report and MIB document make a strong case for the draft. After all, from what I've gathered the IETF only believes in "rough consensus and running code", and I think we have just that.

Best,

Axel

---

From: Bo Berry <[email-masked]>
Date: Tue, 30 Oct 2012 20:11:51 -0400

Joe, Stan
Adding to Tim's option.

If the MANET WG removes reactive from the charter, is there similar technology in another WG?  Perhaps ROLL?  If so this may be another option as there is a lot of synergy-commonality.

-Bo

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 08:28:59 +0000

Dear chairs,

Remembering that I am not a co-authors of either of these drafts.

Not commenting on recent discussions but rather focussing on what I hope will be a good solution for the WG and the Internet at large.

Option 3) is my opinion not desirable; I wish we could have a reactive routing protocol for MANET

Option 2) is an option I would be strongly opposed to for a number of technical reasons that I would be happy to elaborate on the
mailing list and/or in a new I-D (which I would, should option 2 be chosen).

That being said, I am extremely supportive of option 1), especially in light of what Charlie said. First of all DYMO is the working group
document and excellent progress has been made with recent revisions. But even more importantly, Charlie managed to make it compatible
with options, which is in my opinion the best of both worlds; calling it AODVv2 is only not very sensible but avoids useful sensitivity around
names.

Thus I would strongly support Option 1), continue the work that Charlie has started, which by the way is not far from completion. And
as WG,we need to remember that this had been the WG document, the result of years of work. Still by making it compatible with other options,
this is technically flexible and sound.

Thanks.

JP.

On Oct 31, 2012, at 12:13 AM, Joseph Macker wrote:

As you are all probably aware, there has been WG activity lately on competing drafts for a MANET reactive protocol - DYMO (reviving the current working group document that was parked due to inactivity), and LOADng. Many months ago there was a somewhat authorship led movement towards a common document effort and given positive feedback at the time we the chairs thought this was the best approach given the authors potential to come together and gain the best of both efforts.  Since that period, there has been some fairly strident and rancorous "at times" debate between the authors of the two documents.

During IETF 84 in Vancouver, the co-chairs held a discussion with some of the co-authors of the two documents. Our guidance to the co-authors was to find a way to merge the two documents into one, as it was perceived that are not technically far apart and they both derive roughly from AODV concepts and LOADng had fairly active authorship and implementation efforts. We provided a co-editing proposal to the authors and gave them the timeframe of the Atlanta to come up with an answer back to us regarding this.  As of this writing, those discussions of a potential commonn document and authorship merger have failed.

Therefore, we find ourselves at a crossroads. The authors of the two documents are divided, and it is unlikely that progress on a merged document can be reached based upon recent author feedback. I have also polled the earlier WG editor of DYMO, Ian Chakeres, and he is somewhat disengaged on the issue at the present time.  We see only 3 possible paths forward:

1. Continue the work on the DYMO document, starting with whether there is consensus on its continued approach and also the desire to rename it to AODVv2.
2. Replace the existing DYMO document effort with the LOADng related document effort, defusing ealier references to LLNs as recommended in the last meeting minutes, and to focus more motivationally on general MANET problem spaces (the authors seem to have agreed to this issue if its a WG document).
3. Remove the working group charter for a reactive protocol, effectively killing both documents, at least from a working group (WG) standpoint. This would not be a reflection on the technology in either case, just an admission that we are not working together and reaching consensus.

The co-chairs request and need your opinions on the options.  We have been some silent collecting initial feedback and waiting for author feedback at this point.  Stan and I are both on travel prior to Atlanta so our responses may be sparse and we will also likely be in a "receive mode" for a few days.  So send your opinions.

-Joe
_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 08:31:11 +0000

Hi Bo,

> If the MANET WG removes reactive from the charter, is there similar technology in another WG?  Perhaps ROLL?  If so this may be another option as there is a lot of synergy-commonality.

As ROLL co-chair … we are currently not chartered to work on another protocol.

Thanks.

JP.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 08:31:34 +0000

Hi Ulrich,

On Oct 31, 2012, at 1:08 AM, Ulrich Herberg wrote:

Timothy,

our company has deadlines for coming up with products on the market and customers waiting. I believe that the same is true for other companies. We had discussions for more than half a year now that did not lead anywhere.

Note that IETF cannot be driven by company roadmap.

Regards
Ulrich

On Tue, Oct 30, 2012 at 4:51 PM, Timothy J. Salo <[email-masked]<mailto:[email-masked]>> wrote:
As you are all probably aware, there has been WG activity lately on
competing drafts for a MANET reactive protocol - DYMO (reviving the
current working group document that was parked due to inactivity), and
LOADng.

-tjs

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 31 Oct 2012 08:52:14 +0000

Hello Joe,

>3. Remove the working group charter for a reactive protocol, effectively killing both documents, at least from a working group (WG) standpoint. This would not be a reflection on the technology in ei…

My vote would go for 1, and then 3. 

For 1) I like the idea to rename DYMO as AODV2 or v2, because AODV is now a well-known name and we probably want to cash on that as opposed to give the impression that this is yet another protocol. Also, considering what happens to metro these days, I'd avoid a trade mark.

For 3) If we cannot standardize DYMO/AODV which has been on the works for quite  a while, then we probably want to restart with a clean slate and consider all potential ideas including those coming from ROLL.
You'll note that  RPL P2P , which is experimental, is also reactive, and illustrates a need to provide a reactive solution in the LLN space to cover some use cases, in particular in home and building automation.
Now, that can be done in ROLL, MANET, or a DMZ and probably the latter would make more sense.

Cheers,

Pascal

---

From: C Chauvenet <[email-masked]>
Date: Wed, 31 Oct 2012 09:56:31 +0000

Hi Joseph, and thank you for this great summary.

My vote would go for option 1), and here is why, from my personal point of view :

Option 1) leverage on years of work within the MANET WG. I don't see a strong reason to discard this. Furthermore, naming it AODVv2 also leverage on a well-know protocol name that would add clarity and visibility to the document. I am very impressed about the amount of work conducted by Charles to address the review of the last DYMO draft and update the document accordingly. I think charles show us the willingness and ability to finish that work efficiently.

Option 2), would annihilate years of previous work realized for DYMO in the MANET WG. Again, I don't see a reason to discard it with a protocol that popped up in MANET 4 months ago. Moreover, the adoption of LOADng may add some misunderstanding about the intend of such a protocol when readers will look at its history. The initial name signification of "LOADng" is a good example, and the last update of the protocol roughly search & replace "LLN" wording by "MANET" as we can see here : http://tools.ietf.org/rfcdiff?url1=draft-clausen-lln-loadng-05.txt. I think such a confusion will not drive the future of internet in a good direction, as JP mentioned. My fear is that it could create confusion and slow down both LLNs and MANET deployments.

Option 3) could be a final option... but it would be too bad to go here, as I think that reactive protocol can bring great benefits in MANET. Moreover, this would collapse all work around reactive protocols in MANET, for both LOADng and DYMO authors.

Best,
Cédric.

Le 31 oct. 2012 à 00:13, Joseph Macker a écrit :

-Joe

---

From: Teco Boot <[email-masked]>
Date: Wed, 31 Oct 2012 10:58:34 +0100

> 3. Remove the working group charter for a reactive protocol, effectively killing both documents, at least from a working group (WG) standpoint. This would not be a reflection on the technology in e…

I support rename our standards track reactive protocol, that has its roots in AODV, into AODVv2. This applies to options 1 and 2.

I'm not quite happy about the "my protocol is better, yours' is lousy" attitude. Even if this is the case, I prefer we, as a working group, work together and make good progress. With as a result a single standard protocol, that will be accepted and implemented by many organizations, if not all.

I did not see good reasons to start all over to define a standards track proactive MANET protocol in public. I see (too) many efforts to come up with yet another MANET protocol. Sometimes, proprietary is mentioned as a feature, or the protocol is called "better approach to". This doesn't help.

So I vote for option 1. This could be copy & paste large amounts of text from drafts, if WG decides so. I know this approach is tried before, without great success. Maybe we simply push somewhat harder.

Thanks. 
Teco

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 10:02:16 +0000

As someone who has not (yet) stated an opinion on the matter, except I also think option 3 is not good, I would very much like to hear technical arguments, so if you have technical arguments against LOADng, I think we need to hear them rather than just suggesting they exist. I haven't yet read LOADng carefully to form a view there. I have just recently read the AODVv2 draft carefully, and have some technical issues there (which overlap) regarding asymmetric links, possible dependency on NHDP, and the compatibility of options. If option 1 is followed, the draft needs work (which Charlie has acknowledged).

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: [email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 31 October 2012 08:29
To: Joseph Macker
Cc: <[email-masked]>
Subject: Re: [manet] Reactive Protocol Situation

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
Dear chairs,

Thanks.

JP.

-Joe

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: C Chauvenet <[email-masked]>
Date: Wed, 31 Oct 2012 10:05:46 +0000

Hi Charles, 

Le 31 oct. 2012 à 01:08, Charles E. Perkins a écrit :

> merge would just not happen.  

Ho, too bad.
I hoped merging efforts could have been a good solution...

> Given the short amount of time (only

Agree.

Cédric.

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 10:06:41 +0000

I'm not in favour of either waiting or decision by fiat. Note that when I say I'm not in favour of waiting, that doesn't mean I'm not in favour of work that might cause a delay - I think whatever route we go down there is work to be done.

[email-masked] | http://www.baesystems.com

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Timothy J. Salo
Sent: 30 October 2012 23:52
To: Joseph Macker
Cc: [email-masked]
Subject: Re: [manet] Reactive Protocol Situation

----------------------! WARNING ! ----------------------
This message originates from outside our organisation,
either from an external partner or from the internet.
Keep this in mind if you answer this message.
Follow the 'Report Suspicious Emails' link on IT matters
for instructions on reporting suspicious email messages.
--------------------------------------------------------

-tjs

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 10:16:09 +0000

The ROLL WG participants who have been posting here have made it very clear that they see LLNs as a distinct area, and have strongly resisted more general purpose MANET routing protocols claiming applicability in LLNs. (I don't actually agree with that, but that's not my point here.) To reverse that and say the ROLL WG should now be responsible for a general purpose reactive routing protocol is clearly incompatible with that.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bo Berry
Sent: 31 October 2012 00:12
To: Joseph Macker; Stan Ratliff (sratliff); <[email-masked]> List; Timothy J. Salo
Subject: Re: [manet] Reactive Protocol Situation

Joe, Stan
Adding to Tim's option.

-Bo

---

From: C Chauvenet <[email-masked]>
Date: Wed, 31 Oct 2012 10:17:44 +0000

Hi, 

See inline,

> You'll note that  RPL P2P , which is experimental, is also reactive, and illustrates a need to provide a reactive solution in the LLN space to cover some use cases, in particular in home and buildi…

Good point.
Actually things are rather simple : 

For LLN : IETF created ROLL to design a dedicated protocol, RPL with a pro-active approach.
If reactive is needed, RPL-P2P is there.

For MANET : IETF created MANET to design a dedicated protocol, OLSR with a pro-active approach.
For the reactive approach, DYMO has been fleshed out, and it is now time to complete it.
I don't see a problem to enhance DYMO with LOADng mechanisms (for flooding for instance) if this can benefit to the internet, but it seems that the merge has failed.

Cédric.

---

From: Jiazi YI <[email-masked]>
Date: Wed, 31 Oct 2012 12:01:03 +0100

Dear all, 

Thanks Joe for briefing what had happened in the last several months. 

I really don't want to dig into the history, but as long as someone mentioned "results of years of work", I think those facts are clear with my short memory of MANET:

1. In IETF 87 Maastricht 2010, DYMO was "parked" because the editors "lost the passion" to continue the work, disregarding the comments made for dymo from the mailing list. 

2. After that, LOADng was born to meet real needs of the industry. Great efforts have been invested in the last two years, with hundreds iterations on the draft from ~10 authors, interop test, real implementations. Now with concrete results, interop report, mib document, etc. 

3. After the DYMO draft sleeping for two years, the editor of DYMO says sorry for the "long delay", and begin to address the comments. 
Plus, the main efforts from the parked dymo-21 to the current revision, is to be "compatible" with LOADng. 

Ulrich has made very good arguments on LOADng, with running code wide industry support. 

On the other hand, DYMO (AODVv2) is taking the design of LOADng to be "compatible", even when the LOADng authors have explicitly expressed that they don't appreciate that. 

Maybe it's because I'm so young and so naive that I still believe "running code is the king" in IETF, I don't get the logic why we should force a sophisticated and active document adapt to the one that has been slept for two years. 
btw, I have read the latest DYMO revision in detail. A general comments here for DYMO-23 is that, a proof reading is needed first. There are numerous inconsistency in the document:  terminologies, using nonexistent fields ... even duplicated paragraphs (section 5.5.2).  

The arguments that made for DYMO are:

1) DYMO had been the WG document
	==> true. Actually, it has been there for long time (and can be WG document even forever), but the history told us that this can't help the document evolving. 

2) DYMO is the result of years of work.
	==> In the contrast, the current situation of reactive protocol in MANET is the result of years of *NO* work on DYMO. IF DYMO had taken the comments from the WG, when reviews were posted around Maastricht, and evolved rather than be dormant for years, then LOADng had not needed to exist.  But unfortunately, there is no magic time machine to bring us back to 2010. 

Therefore, I would support WG chairs'  option 2) replace DYMO with LOADng, and strongly against 1) continue with DYMO: the DYMO editors have clearly shown that they couldn't or wouldn't evolve the specification according to feedback, and as there is an industrial need for a reactive protocol for some types of MANETs, we cannot keep sitting around doing nothing while waiting for a miracle. 

best

Jiazi

---

From: C Chauvenet <[email-masked]>
Date: Wed, 31 Oct 2012 11:19:17 +0000

Hi,

Le 31 oct. 2012 à 12:01, Jiazi YI a écrit :

Dear all,

I really don't want to dig into the history, but as long as someone mentioned "results of years of work"

I take it for my own.
Thank you for participating.

Here is a copy of my arguments against option 2) :

C.C> Option 2), would annihilate years of previous work realized for DYMO in the MANET WG.

I get your comment on that.

C.C> Again, I don't see a reason to discard it with a protocol that popped up in MANET 4 months ago. Moreover, the adoption of LOADng may add some misunderstanding about the intend of such a protocol when readers will look at its history. The initial name signification of "LOADng" is a good example, and the last update of the protocol roughly search & replace "LLN" wording by "MANET" as we can see here : http://tools.ietf.org/rfcdiff?url1=draft-clausen-lln-loadng-05.txt. I think such a confusion will not drive the future of internet in a good direction, as JP mentioned. My fear is that it could create confusion and slow down both LLNs and MANET deployments.

What do you think about the rest of my argumentation ?
My "fear" about the confusion is stressed by the "need for a reactive protocol for some types of MANETs" that you just mentioned.

Regards,

Cédric.

, I think those facts are clear with my short memory of MANET:

best

Jiazi

On Oct 31, 2012, at 12:13 AM, Joseph Macker <[email-masked]<mailto:[email-masked]>> wrote:

-Joe

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 13:30:54 +0000

How much previous work (by anyone) is negated is not the point; that is the sunk cost (aka Concorde) fallacy.

The technical question is how much effort to get from where we are, regardless of how we got here, and where we would get to (how good it the final solution will be). If two approaches got to the same point by spending different amounts of effort, how much effort was spent by each is not the point. Whether they really are at the same point would be.

Of course it's not that simple, and there are matters of people, companies, etc. that matter in practice. (I would consider issues like running code to be part of the how much effort to get where we want to go issue.)

From: [email-masked] [mailto:[email-masked]] On Behalf Of C Chauvenet
Sent: 31 October 2012 11:19
To: Jiazi YI
Cc: MANET IETF
Subject: Re: [manet] Reactive Protocol Situation

*** WARNING ***

Dear all,

I take it for my own.

Regards,

Cédric.

best

Jiazi

-Joe

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 14:02:55 +0000

Completely agreeing with you. 1) with some work needed, as agreed by Charlie.

JP.

On Oct 31, 2012, at 11:02 AM, Dearlove, Christopher (UK) wrote:

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 31 October 2012 08:29
To: Joseph Macker
Cc: <[email-masked]<mailto:[email-masked]>>
Subject: Re: [manet] Reactive Protocol Situation

*** WARNING ***

Thanks.

JP.

-Joe

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 15:11:33 +0000

I take it those are two separate sentences. You can agree with me, and you can support 1. But you can't agree with me supporting 1, as I haven't (nor have I supported 2).

As indicated, I would like to hear the technical arguments you have against LOADng. Here on list would seem the best place.

From: JP Vasseur (jvasseur) [mailto:[email-masked]]
Sent: 31 October 2012 14:03
To: Dearlove, Christopher (UK)
Cc: Joseph Macker; <[email-masked]>
Subject: Re: [manet] Reactive Protocol Situation

*** WARNING ***

JP.

*** WARNING ***

Thanks.

JP.

-Joe

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 31 Oct 2012 08:25:02 -0700

Hi JP,
> Note that IETF cannot be driven by company roadmap.

Then please let me hear your technical arguments. So far, you have been only saying that one protocol is in a "GREAT" shape, the other is not, and I believe it is no secret that Cisco also has a company roadmap in this space.

Best
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 16:36:52 +0000

> The ROLL WG participants who have been posting here have made it very clear that they see LLNs as a distinct area, and have strongly resisted more general purpose MANET routing protocols claiming a…

You are correct - the ROLLWG is not responsible for general reactive protocol by any means. We are chartered for one protocol for LLN, which is RFC6550.

Thanks.

JP.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 16:39:30 +0000

[snip]

JP> Not sure to understand why - Isn't it the right for the Internet anyhow ?

JP> we all agree that we need to close on this work and that there is still work with both solutions.

best

Jiazi

-Joe

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 16:47:29 +0000

On Oct 31, 2012, at 4:11 PM, Dearlove, Christopher (UK) wrote:

I was agreeing on the fact that there was work to be done. Still strongly advocating for the option1, especially since Charlie is
working to make compatibility.

I am more than happy to share lots of results showing why LOAD-ng may be a severe issue for LLNs, since this was mentioned
as a clear use cases in the LOAD-ng document.

Cc: Joseph Macker; <[email-masked]<mailto:[email-masked]>>

*** WARNING ***

JP.

*** WARNING ***

Thanks.

JP.

-Joe

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 16:49:36 +0000

> Then please let me hear your technical arguments. So far, you have been only saying that one protocol is in a "GREAT" shape, the other is not, and I believe it is no secret that Cisco also has a co…

Let's not go that route … this won't be productive. I am speaking as an individual having spent years working on such issues
as many did too. What would you like ? Lots of experimental and simulation results showing why Load-NG will not work at
scale in LLN ?

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 31 Oct 2012 10:11:55 -0700

Hi JP,

On Wed, Oct 31, 2012 at 9:49 AM, JP Vasseur (jvasseur)
<[email-masked]>wrote:

> > Then please let me hear your technical arguments. So far, you have been
> only saying that one protocol is in a "GREAT" shape, the other is not, and
> I believe it is no secret that Cisco also has a company roadmap in this
> space.
>
> Let's not go that route … this won't be productive.

And this is what I asked you to be: productive, by providing technical
arguments

> I am speaking as an individual having spent years working on such issues
> as many did too. What would you like ? Lots of experimental and simulation
> results showing why Load-NG will not work at
> scale in LLN ?
>

This is not the point. It is a MANET protocol, otherwise we would present
it to the ROLL WG. As said before, LLNs are a special use case of MANETs in
my opinion, and LOADng is as a matter of fact used in such deployments, and
these deployments are large-scale. You mentioned lots of results and
simulations showing that it will not work, but I have never seen these
results. And as I said before, you can construct scenarios where a reactive
protocol will not work, and others where it will work. MANET has long
understood that and is therefore chartered to come up with a reactive and a
proactive protocol.

Regards
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 17:21:17 +0000

Hi Ulrich,

Here is what I would propose … The chairs asked us a question, let's stick to it and wait for their guidance.
If the choice is to go with 1) then there is no point in having me sharing all results about why Load is ill suited
to LLN, or for you to explain why it is well suited (which by the way you never did either … you also keep saying
that it worked but we never got any technical results). If 2) is chosen I will certainly clearly document with lots
of information why I think there is a major issue with Load-ng in LLN.

That being said, I am still hopeful that we will find a solution; options 1) knowing that Charlie made it compatible
seems to be by far the best option.

Thanks.

JP.

On Oct 31, 2012, at 6:11 PM, Ulrich Herberg wrote:

Hi JP,

On Wed, Oct 31, 2012 at 9:49 AM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:

And this is what I asked you to be: productive, by providing technical arguments

This is not the point. It is a MANET protocol, otherwise we would present it to the ROLL WG. As said before, LLNs are a special use case of MANETs in my opinion, and LOADng is as a matter of fact used in such deployments, and these deployments are large-scale. You mentioned lots of results and simulations showing that it will not work, but I have never seen these results. And as I said before, you can construct scenarios where a reactive protocol will not work, and others where it will work. MANET has long understood that and is therefore chartered to come up with a reactive and a proactive protocol.

Regards
Ulrich

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 17:34:56 +0000

That I think has moved the goalposts. The issue is not whether LOADng is suitable in an LLN, because we are designing here a more general purpose MANET routing protocol. So in the MANET WG, the issue of whether suitable for LLNs in particular principally affects any claimed use cases, rather than being a key differentiator.

That said, technical arguments are always of interest, and may shed interesting light, particularly if you are suggesting there is a major difference in some regard between the two candidates.

Sent: 31 October 2012 16:47

*** WARNING ***

*** WARNING ***

JP.

*** WARNING ***

Thanks.

JP.

-Joe

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 17:36:06 +0000

Do those have parallel AODV (v1 or v2) results as well?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 31 October 2012 16:50
To: Ulrich Herberg
Cc: Timothy J. Salo; <[email-masked]>
Subject: Re: [manet] Reactive Protocol Situation

> Then please let me hear your technical arguments. So far, you have been only saying that one protocol is in a "GREAT" shape, the other is not, and I believe it is no secret that Cisco also has a co…

Let's not go that route . this won't be productive. I am speaking as an individual having spent years working on such issues
as many did too. What would you like ? Lots of experimental and simulation results showing why Load-NG will not work at
scale in LLN ?

---

From: Jon Black <[email-masked]>
Date: Wed, 31 Oct 2012 10:37:28 -0700 (PDT)

It is not clear that option 1 is at all the best option.  This needs to 
be decided based on technical information, running code, implementations available, ...

    Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Ulrich Herberg <[email-masked]> 
Cc: Timothy J. Salo <[email-masked]>; "<[email-masked]>" <[email-masked]> 
Sent: Wednesday, October 31, 2012 11:21 AM
Subject: Re: [manet] Reactive Protocol Situation

Hi Ulrich, 

Thanks.

JP.

Hi JP,
>
>
>On Wed, Oct 31, 2012 at 9:49 AM, JP Vasseur (jvasseur) <[email-masked]> wrote:
>
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 31 Oct 2012 17:38:59 +0000

That has the cart and the horse backwards. We don't make a decision, then see what results we have, we use results in trying to make good decisions.

From: [email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 31 October 2012 17:21
To: Ulrich Herberg
Cc: Timothy J. Salo; <[email-masked]>
Subject: Re: [manet] Reactive Protocol Situation

*** WARNING ***

Here is what I would propose ... The chairs asked us a question, let's stick to it and wait for their guidance.
If the choice is to go with 1) then there is no point in having me sharing all results about why Load is ill suited
to LLN, or for you to explain why it is well suited (which by the way you never did either ... you also keep saying
that it worked but we never got any technical results). If 2) is chosen I will certainly clearly document with lots
of information why I think there is a major issue with Load-ng in LLN.

Thanks.

JP.

Hi JP,

> Then please let me hear your technical arguments. So far, you have been only saying that one protocol is in a "GREAT" shape, the other is not, and I believe it is no secret that Cisco also has a co…
Let's not go that route ... this won't be productive.

Regards
Ulrich

---

From: Joseph Macker <[email-masked]>
Date: Wed, 31 Oct 2012 14:14:02 -0400

Certainly if the LOADng derived work in whatever form is accepted by manet
it needs to be considered a manet protocol and analyzed and designed as
such in ongoing work.  This point is non-negotiable and I think the chairs
made that clear at the last meeting but just to reiterate the point so we
do not need to keep going over that.
--------

Jiazi: As one chair, given my two year old review I felt DYMO-21 needed
significant work and revision to be ready for STD track submission. If you
feel DYMO-23 has regressed in some way in terms of clarity or specification
that makes me uneasy but I have less personal insight on that at present to
discuss. So other opinions would be welcome perhaps from an implementor's
perspective and a non-LOADng author's view.

On Wed, Oct 31, 2012 at 1:34 PM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  That I think has moved the goalposts. The issue is not whether LOADng is
> suitable in an LLN, because we are designing here a more general purpose
> MANET routing protocol. So in the MANET WG, the issue of whether suitable
> for LLNs in particular principally affects any claimed use cases, rather
> than being a key differentiator.****
>
> ** **
>
> That said, technical arguments are always of interest, and may shed
> interesting light, particularly if you are suggesting there is a major
> difference in some regard between the two candidates.****
>
> ** **
>
> -- ****
>
> Christopher Dearlove****
>
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> Registered in England & Wales No: 1996687****
>
> ** **
>
> *From:* JP Vasseur (jvasseur) [mailto:[email-masked]]
> *Sent:* 31 October 2012 16:47
>
> *To:* Dearlove, Christopher (UK)
> *Cc:* Joseph Macker; <[email-masked]>
> *Subject:* Re: [manet] Reactive Protocol Situation****
>
>  ** **
>
> ** **
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>on how to deal with suspicious emails.
> *****
>
> ** **
>
> On Oct 31, 2012, at 4:11 PM, Dearlove, Christopher (UK) wrote:****
>
>
>
> ****
>
> I take it those are two separate sentences. You can agree with me, and you
> can support 1. But you can't agree with me supporting 1, as I haven't (nor
> have I supported 2).****
>
>  ****
>
> ** **
>
> I was agreeing on the fact that there was work to be done. Still strongly
> advocating for the option1, especially since Charlie is****
>
> working to make compatibility.****
>
>
>
> ****
>
> As indicated, I would like to hear the technical arguments you have
> against LOADng. Here on list would seem the best place.****
>
>  ****
>
> ** **
>
> I am more than happy to share lots of results showing why LOAD-ng may be a
> severe issue for LLNs, since this was mentioned****
>
> as a clear use cases in the LOAD-ng document.****
>
>
>
> ****
>
> --****
>
> Christopher Dearlove****
>
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> Registered in England & Wales No: 1996687****
>
>  ****
>
> *From:* JP Vasseur (jvasseur) [mailto:[email-masked]]
> *Sent:* 31 October 2012 14:03
> *To:* Dearlove, Christopher (UK)
> *Cc:* Joseph Macker; <[email-masked]>
> *Subject:* Re: [manet] Reactive Protocol Situation****
>
>  ****
>
>  ****
>
> **** WARNING ********
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>
>  on how to deal with suspicious emails.*****
>
> Completely agreeing with you. 1) with some work needed, as agreed by
> Charlie.****
>
>  ****
>
> JP.****
>
>  ****
>
> On Oct 31, 2012, at 11:02 AM, Dearlove, Christopher (UK) wrote:****
>
>
>
>
> ****
>
> As someone who has not (yet) stated an opinion on the matter, except I
> also think option 3 is not good, I would very much like to hear technical
> arguments, so if you have technical arguments against LOADng, I think we
> need to hear them rather than just suggesting they exist. I haven't yet
> read LOADng carefully to form a view there. I have just recently read the
> AODVv2 draft carefully, and have some technical issues there (which
> overlap) regarding asymmetric links, possible dependency on NHDP, and the
> compatibility of options. If option 1 is followed, the draft needs work
> (which Charlie has acknowledged).****
>
>  ****
>
> --****
>
> Christopher Dearlove****
>
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> Registered in England & Wales No: 1996687****
>
>  ****
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of *JP Vasseur (jvasseur)
> *Sent:* 31 October 2012 08:29
> *To:* Joseph Macker
> *Cc:* <[email-masked]>
> *Subject:* Re: [manet] Reactive Protocol Situation****
>
>  ****
>
>  ****
>
> **** WARNING ********
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>
>  on how to deal with suspicious emails.*****
>
> Dear chairs,****
>
>  ****
>
> Remembering that I am not a co-authors of either of these drafts.****
>
>  ****
>
> *Not commenting on recent discussions but rather focussing on what I hope
> will be a good solution for the WG and the Internet at large.*****
>
>  ****
>
> Option 3) is my opinion *not* desirable; I wish we could have a reactive
> routing protocol for MANET****
>
>  ****
>
> Option 2) is an option I would be *strongly* opposed to for a number of
> technical reasons that I would be happy to elaborate on the****
>
> mailing list and/or in a new I-D (which I would, should option 2 be
> chosen).****
>
>  ****
>
> That being said, *I am extremely supportive of option 1)*, *especially in
> light of what Charlie said*. First of all DYMO is the working group****
>
> document and excellent progress has been made with recent revisions. But
> even more importantly, Charlie managed to make it compatible ****
>
> with options, which is in my opinion *the best of both worlds*; calling
> it AODVv2 is only not very sensible but avoids useful sensitivity around *
> ***
>
> names.****
>
>  ****
>
> *Thus I would strongly support Option 1), continue the work that Charlie
> has started*, which by the way is not far from completion. And ****
>
> as WG,we need to remember that this had been the WG document, the result
> of years of work. Still by making it compatible with other options, ****
>
> this is technically flexible and sound.****
>
>  ****
>
> Thanks.****
>
>  ****
>
> JP.****
>
>  ****
>
> On Oct 31, 2012, at 12:13 AM, Joseph Macker wrote:****
>
>
>
>
>
> ****
>
> https://www.ietf.org/mailman/listinfo/manet****
>
>  ****
>
>
> ************************************************************************
>
>  ****
>
> ** **
>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 31 Oct 2012 11:34:40 -0700

Hello Joe and all,

Thanks for reiterating this important point.  I feel that some of the 
discussion
is aimed at finding fault.  For myself, I think that the LOADng effort 
has made
a positive contribution.  With some minor exceptions, LOADng is basically
compatible with AODVv2 (almost by design, since both were derived from
AODV).  I reiterate that my goal for the WG reactive document would be to
retain compatibility with LOADng.  In this way, the working group will 
retain
the benefits of LOADng (by design), reducing the need for any mutually
exclusive choice of (1) or (2).  I'd call this alternative (1.5).

In the meantime, I continue to offer improvements to the existing AODVv2
specification, and I am confident that the results will soon satisfy the 
most
demanding level of scrutiny.

Regards,
Charlie P.

On 10/31/2012 11:14 AM, Joseph Macker wrote:
> Certainly if the LOADng derived work in whatever form is accepted by 
> manet it needs to be considered a manet protocol and analyzed and 
> designed as such in ongoing work.  This point is non-negotiable and I 
> think the chairs made that clear at the last meeting but just to 
> reiterate the point so we do not need to keep going over that.
> --------
>
-- 
Regards,
Charlie P.

---

From: Axel Colin de Verdière <[email-masked]>
Date: Wed, 31 Oct 2012 11:43:00 -0700

Hi Charlie,

I still can't really understand both how and why you would want to develop AODVv2 as "compatible with LOADng", for several reasons:

1) LOADng is still a work in progress. Being compatible with it makes little sense if it keeps evolving.

2) If AODVv2 were to be made "compatible" with LOADng, it would eventually become some form of LOADng + optional features. So, instead of losing time and energy reformatting AODVv2 and following LOADng's changes, and since you apparently want an alternative solution, why wouldn't we adopt LOADng as the base protocol, and develop a draft containing all of AODVv2's additional features?

Best,

Axel

Le 31 oct. 2012 à 11:34, "Charles E. Perkins" <[email-masked]> a écrit :

> 
> Hello Joe and all,
> 
> Thanks for reiterating this important point.  I feel that some of the discussion
> is aimed at finding fault.  For myself, I think that the LOADng effort has made
> retain compatibility with LOADng.  In this way, the working group will retain
> specification, and I am confident that the results will soon satisfy the most
>> Certainly if the LOADng derived work in whatever form is accepted by manet it needs to be considered a manet protocol and analyzed and designed as such in ongoing work.  This point is non-negotiable and I think the chairs made that clear at the last meeting but just to reiterate the point so we do not need to keep going over that.
>> --------
>> 
> -- 
> Regards,
> Charlie P.
>

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Wed, 31 Oct 2012 22:10:52 +0000

> demanding level of scrutiny.

Which I believe seems to be the RIGHT thing to do for the WG and the community.

Thanks Charlie.

---

From: "Timothy J. Salo" <[email-masked]>
Date: Wed, 31 Oct 2012 18:24:20 -0500

On 10/31/2012 10:25 AM, Ulrich Herberg wrote:
> Hi JP,
> Then please let me hear your technical arguments. So far, you
> have been only saying that one protocol is in a "GREAT" shape,
> the other is not, and I believe it is no secret that Cisco also
> has a company roadmap in this space.

I second this request for arguments based on technical differences
between LOADng and DYMO.

There seems to be a growing consensus that the LOADng and DYMO
protocols are not all that different.  Further, the DYMO protocol
seems likely to become even more similar to LOADng.  Yet, your email
barrage strongly argues for DYMO over lOADng.  Why?

As far as I can tell, your technical arguments against LOADng are
simply generic arguments against reactive protocols, arguments
that appear to apply equally to LOADng and DYMO.  If this not
the case, please explain what features of DYMO make it scale
better than LOADng.

Your opposition to the LOADng specification is clear.  However, I
haven't seen you offer any technical arguments specific to LOADng
(as opposed to arguments that are equally applicable to both
LOADng and DYMO).

Or, is this not really about technical issues?

-tjs